-- -------------------------------------------------------------------------- --
-- CharScanner DEFAULT (english) Localization                                 --
-- Please make sure to save this file as UTF-8. ¶                             --
-- -------------------------------------------------------------------------- --

CharScanner_Localization = {
-- general ----------
["Read CharScanner.lua for more information."] = true,
["Scan via SCAN-Button, Minimap-Button, LDB, Blizzard Interface Options or '/scan' resp. '/scan options'."] = true,
["This message is only shown once."] = true,

-- options ----------
["Open GUI"] = true,
["Open Options"] = true,
["SCAN-Button"] = true,
["Show SCAN-Button"] = true,
["buttonshow_desc"] = "Shows a small movable SCAN-Button if your target is a player.",
["Show Button for GroupScan (all)"] = true,
["Show Button for GroupScan (missing)"] = true,
["groupbutton_desc"] = "GroupScan Buttons are only visible if you are in a group.",
["Lock SCAN-Button"] = true,
["Chat output"] = true,
["chat_desc"] = "Shows a chat message after a successful scan.",
["GroupScan: Show only one chat message"] = true,
["chatgrp_desc"] = "Shows only one chat message at the end of a GroupScan instead of a chat message for each scanned character.",
["Maximum duration for one scan"] = true,
["scanduration_desc"] = "Default: 1 Second\n\nIf set time has elapsed the scan stops (or the next unit is scanned in GroupScan).",
["Minimap-Button"] = true,

-- single/group scan ----------
["Step"] = true,
["STOP SCAN"] = true,
["GroupScan finished!"] = true,
["Achievement/Talent scan restriction from Blizzard:"] = true,
["Please wait %.2f seconds."] = true,
["All"] = true,
["Group"] = true,
["Others"] = true,

-- base char info ----------
["Guild Level"] = true,

-- talents ----------
["No Talents"] = true,
["T1 (Current Talents)"] = true,
["T2"] = true,

-- gear ----------
["Equipment"] = true,
["Enchantments"] = true,
["Avg"] = "ø", -- average
["min."] = true,
["max."] = true,
["%s %s not used"] = true,
["|4Slot:Slots;"] = true,
["Base Stats"] = true,
["Gems"] = true,
["Effect"] = true,
["OK"] = true,
["NOT OK"] = true,
["Reforged"] = true,
["Sets"] = true,

-- stats ----------
["Statistics"] = true,
["PvE"] = true,
["PvP"] = true,
["Total"] = true,
["PvE Total"] = true,
["PvP Total"] = true,
["Achievements"] = true,
["Bosses"] = true,
["Kills"] = true,
["Time"] = true,
["iLvl"] = true,
["Standard"] = true,
["Single Achievement Compare"] = true,
["T"] = true, -- short for Tank
["H"] = true, -- short for Heal
["D"] = true, -- short for Damage
["?"] = true, -- short for Unknown
["Victories / Battles / %"] = true,
["HK"] = true, -- short for Honorable Kills

-- status ----------
["Scan incomplete!"] = true,
["Scan is deactivated in combat!"] = true,
["Please close AchievementFrame!"] = true,
["Target is NOT a player!"] = true,
["Can NOT inspect target!"] = true,
["Target is NOT in inspect range!"] = true,
["SCANNED AT"] = true,
["|4Char:Chars;"] = true,
["click & move"] = true,
["click & resize"] = true,

-- minioptions ----------
["SingleScan"] = "SingleScan",
["GroupScanAll"] = "GroupScan (all)",
["GroupScanMissing"] = "GroupScan (missing)",
["Options"] = "Options",

-- PvE ----------
["Classic"] = "Classic",
["BC"] = "BC",
["WotLK"] = "WotLK",
 ["hero"] = "Heroic Dungeons",
 ["raid10p"] = "10 player",
  ["Naxx10"] = "Naxxramas",-- 10 player
  ["Other10"] = "Other",-- 10 player
  ["Ulduar10"] = "Ulduar",-- 10 player
  ["TotC10Normal"] = "Trial of the Crusader",-- 10 player
  ["TotC10Heroic"] = "Trial of the Grand Crusader",-- 10 player Heroic
  ["ICC10Normal"] = "Icecrown Citadel",-- 10 player
  ["ICC10Heroic"] = "Icecrown Citadel (Heroic)",-- 10 player Heroic
 ["raid25p"] = "25 player",
  ["Naxx25"] = "Naxxramas",-- 25 player
  ["Other25"] = "Other",-- 25 player
  ["Ulduar25"] = "Ulduar",-- 25 player
  ["TotC25Normal"] = "Trial of the Crusader",-- 25 player
  ["TotC25Heroic"] = "Trial of the Grand Crusader",-- 25 player Heroic
  ["ICC25Normal"] = "Icecrown Citadel",-- 25 player
  ["ICC25Heroic"] = "Icecrown Citadel (Heroic)",-- 25 player Heroic
["Cataclysm"] = "Cataclysm",
 ["catahero"] = "Heroic Dungeons",
 ["raids"] = "Raids",
  ["BaradinHold"] = "Baradin Hold",
  ["BlackwingDescent"] = "Blackwing Descent",
  ["BlackwingDescentHero"] = "Blackwing Descent (Heroic)",
  ["BastionOfTwilight"] = "The Bastion of Twilight",
  ["BastionOfTwilightHero"] = "The Bastion of Twilight (Heroic)",
  ["ThroneFourWinds"] = "Throne of the Four Winds",
  ["ThroneFourWindsHero"] = "Throne of the Four Winds (Heroic)",
  ["Firelands"] = "Firelands",
  ["FirelandsHero"] = "Firelands (Heroic)",
  ["DragonSoul"] = "Dragon Soul",
  ["DragonSoulHero"] = "Dragon Soul (Heroic)",

-- PvP ----------
["PvPGeneral"] = "PvP General",
["RatedBG"] = "Rated Battlegrounds",
["Battlegrounds"] = "Battlegrounds",
 ["Alterac"] = "Alterac Valley",
 ["Warsong"] = "Warsong Gulch",
 ["Arathi"] = "Arathi Basin",
 ["EyeOfTheStorm"] = "Eye of the Storm",
 ["Strand"] = "Strand of the Ancients",
 ["IsleOfConquest"] = "Isle of Conquest",
 ["BattleForGilneas"] = "Battle for Gilneas",
 ["TwinPeaks"] = "Twin Peaks",
["Arena"] = "Arena",
 ["ArenaGeneral"] = "Arena General",
 ["Arena2v2"] = "Arena 2v2",
 ["Arena3v3"] = "Arena 3v3",
 ["Arena5v5"] = "Arena 5v5",
["WorldPvP"] = "World PvP",
 ["Wintergrasp"] = "Wintergrasp",
 ["TolBarad"] = "Tol Barad",
}

function CharScanner_Localization:CreateLocaleTable(t)
	for k,v in pairs(t) do
		self[k] = (v == true and k) or v
	end
end

CharScanner_Localization:CreateLocaleTable(CharScanner_Localization)